#ifndef WISE
#define WISE

#define WISEDEBUG	0

#define WISEHOST	"shadygrove"
#define WISEPORT	"80"
#define WISEORGNAME	"Widgets and Gadgets, Inc."
#define WISEORGIMAGE	"/research.ivv.nasa.gov/images/wisemini.gif"
#define WISEBKGND	"/research.ivv.nasa.gov/images/chalk.jpg"
#define WISELOGS	"wise/logs/"
#define WISEMETRICS	"wise-metrics/"
#define WISEPATHLOG	"/usr/local/wise-1.0/logs/"
#define WISE_METRICDIR	"/usr/local/wise-1.0/metrics"

#define WISE_TDL	"wise-bin/tdl"
#define WISE_VIEW	"wise-bin/view"
#define WISE_UPDATE	"wise-bin/update"
#define WISE_NEW	"wise-bin/new"
#define WISE_DELETE	"wise-bin/delete"

#define WISE_VIEW_UPDATE	"update"
#define WISE_VIEW_NEW		"new"
#define WISE_VIEW_DELETE	"delete"

#include "wisedefs.h"

#endif WISE

#ifdef WISEMAIN

WiseField wise_swdevproject[] = {
  { "abstract",WISE_TEXT,100 },
  { "synopsis",WISE_TAREA,600 },
  { "log",WISE_LOG,20 },
  { "originator",WISE_TEXT,30 },
  { "owner",WISE_TEXT,30 },
  { "submitted",WISE_DATE,20 },
  { "duedate",WISE_DATE,20 },
  { "severity",WISE_RADIO,50 },
  { "state",WISE_SELECT,50 },
  { "component",WISE_SELECT,50 },
  { "category",WISE_SELECT,50 },
  { "duplicate",WISE_INT,20 },
  { NULL, NULL, NULL }
};

WiseTDLField wisetdlfield_swdev[] = {
  { "abstract",100 },
  { "submitted",10 },
  { "severity",10 },
  { "duedate",10 },
  { "state",10 },
  { "category",10 },
  { NULL, NULL }
};

WiseProject wiseproject[] = {
  { "swdev",wise_swdevproject, wisetdlfield_swdev,"swdev", "Defect Management", "localhost", 1112, "/research.ivv.nasa.gov/images/wisemini.gif" },
  { NULL, NULL, NULL, NULL, NULL, NULL, NULL }
};

WiseUserRole  wiseuserroles[] = {
  { "anonymous", "viewer", "swdev" },
  { "john", "viewer", "swdev" },
  { "becky", "viewer", "swdev" },
  { "bvarov", "developer", "swdev" },
  { "nikolay", "developer", "swdev" },
  { "anton", "developer", "swdev" },
  { "jackie", "builder", "swdev" },
  { "jackie", "tester", "swdev" },
  { "linas", "teamlead", "swdev" },
  { NULL, NULL, NULL }
};

WiseTdlAccess  wisetdlaccess[] = {
  { "swdev","viewer",
   "project <> 'BLANK'" },
  { NULL, NULL, NULL }
};

WiseViewAccess  wiseviewaccess[] = {
 {"swdev","viewer","log",WISE_RW,
NULL,NULL},
 {"swdev","viewer","severity",WISE_RW,
"originator = '$USER$' AND state <> 'closed' AND state <> 'verify'","0-no rating|1-showstopper|2-mustfix|3-annoyance|4-suggestion"},
 {"swdev","viewer","state",WISE_RW,
"originator = '$USER$' AND state = 'verify'","open|closed"},
 {"swdev","viewer","state",WISE_RW,
"originator = '$USER$' AND state = 'returned'","open|closed"},
 {"swdev","viewer","owner",WISE_RW,
"originator = '$USER$' AND state <> 'closed' AND state <> 'verify'",NULL},
 {"swdev","developer","abstract",WISE_RW,
"state = 'open' OR state = 'working' OR state = 'fixed' OR state = 'returned'",NULL},
 {"swdev","developer","synopsis",WISE_RW,
"state = 'open' OR state = 'working' OR state = 'fixed' OR state = 'returned'",NULL},
 {"swdev","developer","log",WISE_RW,
NULL,NULL},
 {"swdev","developer","originator",WISE_R,
NULL,"$USER$"},
 {"swdev","developer","owner",WISE_RW,
"state = 'open' OR state = 'working' OR state = 'fixed' OR state = 'returned'",NULL},
 {"swdev","developer","submitted",WISE_R,
NULL,NULL},
 {"swdev","developer","severity",WISE_RW,
"state = 'open' OR state = 'working' OR state = 'fixed' OR state = 'returned'","0-no rating|1-showstopper|2-mustfix|3-annoyance|4-suggestion"},
 {"swdev","developer","state",WISE_RW,
"state = 'open' OR state = 'working' OR state = 'fixed' OR state = 'returned'","open|working|fixed|returned"},
 {"swdev","developer","component",WISE_RW,
"state = 'open' OR state = 'working' OR state = 'fixed' OR state = 'returned'","unknown|server|client|database|documentation"},
 {"swdev","developer","category",WISE_RW,
"state = 'open' OR state = 'working' OR state = 'fixed' OR state = 'returned'","accept|error|unreproducible|enhancement|duplicate"},
 {"swdev","developer","duedate",WISE_RW,
"state = 'open' OR state = 'working' OR state = 'fixed' OR state = 'returned'",NULL},
 {"swdev","developer","duplicate",WISE_RW,
"state = 'open' OR state = 'working' OR state = 'fixed' OR state = 'returned'",NULL},
 {"swdev","builder","abstract",WISE_R,
NULL,NULL},
 {"swdev","builder","synopsis",WISE_R,
NULL,NULL},
 {"swdev","builder","log",WISE_RW,
NULL,NULL},
 {"swdev","builder","owner",WISE_RW,
"state = 'fixed' OR state = 'built'","$USER$"},
 {"swdev","builder","state",WISE_RW,
"state = 'fixed' OR state = 'built'","working|built"},
 {"swdev","builder","duedate",WISE_RW,
"state = 'fixed' OR state = 'built'",NULL},
 {"swdev","tester","abstract",WISE_R,
NULL,NULL},
 {"swdev","tester","synopsis",WISE_R,
NULL,NULL},
 {"swdev","tester","log",WISE_RW,
NULL,NULL},
 {"swdev","tester","owner",WISE_RW,
"state = 'built' OR state = 'testing' OR state = 'verify'","$USER$"},
 {"swdev","tester","state",WISE_RW,
"state = 'built' OR state = 'testing' OR state = 'verify'","working|testing|verify"},
 {"swdev","tester","duedate",WISE_RW,
"state = 'built' OR state = 'testing' OR state = 'verify'",NULL},
 {"swdev","teamlead","abstract",WISE_RW,
NULL,NULL},
 {"swdev","teamlead","synopsis",WISE_RW,
NULL,NULL},
 {"swdev","teamlead","log",WISE_RW,
NULL,NULL},
 {"swdev","teamlead","originator",WISE_RW,
NULL,NULL},
 {"swdev","teamlead","owner",WISE_RW,
NULL,NULL},
 {"swdev","teamlead","submitted",WISE_RW,
NULL,NULL},
 {"swdev","teamlead","severity",WISE_RW,
NULL,"0-no rating|1-showstopper|2-mustfix|3-annoyance|4-suggestion"},
 {"swdev","teamlead","state",WISE_RW,
NULL,"open|working|fixed|built|testing|returned|verify|closed"},
 {"swdev","teamlead","component",WISE_RW,
NULL,"unknown|server|client|database|documentation"},
 {"swdev","teamlead","category",WISE_RW,
NULL,"accept|error|unreproducible|enhancement|duplicate"},
 {"swdev","teamlead","duedate",WISE_RW,
NULL,NULL},
 {"swdev","teamlead","duplicate",WISE_RW,
NULL,NULL},
  { NULL, NULL, NULL, NULL, NULL, NULL }
};

WiseViewAccess  wisenewaccess[] = {
 {"swdev", NULL,"abstract",WISE_RW,
NULL,NULL},
 {"swdev", NULL,"log",WISE_RW,
NULL,NULL},
 {"swdev", NULL,"originator",WISE_R,
NULL,"$USER$"},
 {"swdev", NULL,"owner",WISE_RW,
NULL,"$USER$"},
 {"swdev", NULL,"submitted",WISE_R,
NULL,"$TODAY$"},
 {"swdev", NULL,"severity",WISE_RW,
NULL,"0-no rating|1-showstopper|2-mustfix|3-annoyance|4-suggestion"},
 {"swdev", NULL,"state",WISE_R,
NULL,"open"},
 {"swdev", NULL,"component",WISE_RW,
NULL,"unknown|server|client|database|documentation"},
 {"swdev", NULL,"duedate", WISE_H ,
NULL,NULL},
 {"swdev", NULL,"category", WISE_H ,
NULL,NULL},
 {"swdev", NULL,"duplicate", WISE_H ,
NULL,NULL},
 {"swdev", NULL,"synopsis", WISE_H ,
NULL,NULL},
  { NULL, NULL, NULL, NULL, NULL, NULL }
};

WiseAction wisetdlactions[] = {
   { "swdev", NULL,
	NULL,
  "Open New Issue",
		WISE_NEW }, 
  { NULL, NULL, NULL, NULL, NULL }
};

WiseAction wiseviewactions[] = {
   { "swdev","viewer",
	NULL,
  "Modify Issue",
		WISE_VIEW_UPDATE },
   { "swdev","developer",
	NULL,
  "Modify Issue",
		WISE_VIEW_UPDATE },
   { "swdev","builder",
	NULL,
  "Modify Issue",
		WISE_VIEW_UPDATE },
   { "swdev","tester",
	NULL,
  "Modify Issue",
		WISE_VIEW_UPDATE },
   { "swdev","teamlead",
	NULL,
  "Modify Issue",
		WISE_VIEW_UPDATE },
  { NULL, NULL, NULL, NULL, NULL }
};

#else
#include "wiseproto.h"

#endif WISEMAIN
